Subject: Re: Bug#1347: X2go ERROR 31 on NixOS

From: Mihai Moldovan <[email-masked]>
Date: Tue, 18 Jun 2019 12:38:39 +0200

We expect to find the sftp-server binary in a specific set of directories
(additionally to $PATH).

For NixOS, I added /run/current-system/sw/bin at some point. If you setup a
special environment, i.e., creating something like /run/nixos.x2goclient/
instead of the default current-system name, I'm afraid you'll have to patch X2Go
Client yourself.

Alternatively, is there any way to detect what directory SHALL be used? We can't
and shouldn't scan for all directories under /run, since even if one contains
the binary we're searching for, we won't know if it is the "system snapshot"
that the user INTENDED to use. However, maybe NixOS sets up a special
environment variable we could use for that - and replace the hardcoded
current-system string with the content of the env variable.

Mihai